#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyString
from DateTime import MobyDateTime
from bioMoby.mobyDataTypes import MobyObject


class MobyPDGJOB(MobyObject):
    """ Description: This object represents a job id, with the answering MOBY method, killcode, and a timeout
        Author: pdg.cnb.uam.es
        Contact: jmfernandez@cnb.uam.es
    """
    def __init__(self,namespace="",id="",AnswerService="",AuthURI="",Timeout=None,Killcode="",KillService="",articleName=""):
        self._articles={"AnswerService":"answerService","AuthURI":"authURI","Timeout":"timeout","Killcode":"killcode","KillService":"killService"}
        self.namespace=namespace
        self.id=id
        self.AnswerService=AnswerService
        self.AuthURI=AuthURI
        self.Timeout=Timeout
        self.Killcode=Killcode
        self.KillService=KillService
        self.__prefix__="moby"
        self.__tag__="PDGJOB"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="AnswerService" or elt.getAttribute("moby:articleName")=="AnswerService"):
                t=MobyString()
                t.fromMoby(elt)
                self.AnswerService=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="AuthURI" or elt.getAttribute("moby:articleName")=="AuthURI"):
                t=MobyString()
                t.fromMoby(elt)
                self.AuthURI=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="DateTime" or elt.nodeName=="moby:DateTime") and (elt.getAttribute("articleName")=="Timeout" or elt.getAttribute("moby:articleName")=="Timeout"):
                self.Timeout=MobyDateTime()
                self.Timeout.fromMoby(elt)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Killcode" or elt.getAttribute("moby:articleName")=="Killcode"):
                t=MobyString()
                t.fromMoby(elt)
                self.Killcode=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="KillService" or elt.getAttribute("moby:articleName")=="KillService"):
                t=MobyString()
                t.fromMoby(elt)
                self.KillService=t.content